IT: OTS (China) - 0 0 Bug #46

Display no input area when Inserting new product
11/22/2020 04:38 PM - Xihua Fan

Status: aoo Start date: 11/21/2020
Priority: I Due date: 11/22/2020
Assignee: Xihua Fan % Done: 100%
Category: Estimated time: 16.00 hours
Target version: v3.0 Spent time: 8.00 hours
Description
Task Details
1. Display no input area when Inserting new product .
Input
1. Error log: order\protected\runtime\application.log
Output
® Report and Solution
Others
History
#1 - 11/22/2020 04:42 PM - Xihua Fan
- Status changed from 00 to0010
- % Done changed from 0 to 100
Reason
e old: Php.ini error_reporting=E_ALL & ~E_NOTICE, so these bugs are not exposed.
Solution
¢ protected\actions\product\ViewAction.php : line 39
"userId" => S$SuserId -> "id" => S$userld
¢ protected\views\product\editor.php: line 203
var PAGE_NAME_DATA = <?php echo json_encode ($products[ProductAttribute: :NAME]); ?>;
var PAGE_COLOR_DATA = <?php echo json_encode ($products[ProductAttribute: :COLOR]); ?>;
var PAGE_SIZE_DATA = <?php echo json_encode ($products[ProductAttribute::SIZE]); ?2>;
(

var PAGE_MATERIAL_DATA = <?php echo json_encode

var PAGE_NAME_DATA = <?php echo json_encode (isset ($products[ProductAttribute: :NAME])
ctAttribute::NAME] : null); °?>;

var PAGE_COLOR_DATA = <?php echo json_encode (isset ($products[ProductAttribute: :COLOR])
uctAttribute: :COLOR] : null); ?>;

var PAGE_SIZE_DATA = <?php echo json_encode (isset ($products[ProductAttribute::SIZE])
ctAttribute::SIZE] : null); ?2>;

var PAGE_MATERIAL_DATA = <?php echo json_encode (isset ($products[ProductAttribute: :MATERIAL])

roductAttribute: :MATERIAL] : null); ?>;

#2 - 11/22/2020 04:42 PM - Xihua Fan
- Status changed from 000 to0010

#3 - 10/08/2024 10:57 AM - Xihua Fan

- Target version set to v3.0
